com.tibbo.aggregate.common.datatable.converter

## Class SimpleFormatConverter<T>

- java.lang.Object
- - com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter<T>
  - - com.tibbo.aggregate.common.datatable.converter.SimpleFormatConverter<T>

- All Implemented Interfaces:
    FormatConverter<T>
  Direct Known Subclasses:
    FCBigDecimal, FCBigInteger, FCByte, FCComparable, FCDouble, FCNumber, FCShort, FCSimpleBoolean, FCSimpleByte, FCSimpleDouble, FCSimpleFloat, FCSimpleInteger, FCSimpleLong, FCSimpleShort, SimplePropertyFormatConverter

      public abstract class SimpleFormatConverter<T>
      extends AbstractFormatConverter<T>

- - ### Field Summary

    - ### Fields inherited from class com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter

      `FIELDS_TO_SKIP, VF_IS_NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleFormatConverter(java.lang.Class valueClass)`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `convertToBean(java.lang.Object value, T originalValue)`
    `protected abstract T` | `simpleToBean(java.lang.Object value)`

    - ### Methods inherited from class com.tibbo.aggregate.common.datatable.converter.AbstractFormatConverter

      `addFiledToNullableFormat, clone, convertToTable, createFieldFormat, deriveNullable, getFormat, getValueClass, instantiate, removeFiledFromNullableFormat, setValueClass, simpleToTable`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tibbo.aggregate.common.datatable.converter.FormatConverter

      `convertToTable`

- - ### Constructor Detail

    - #### SimpleFormatConverter

          public SimpleFormatConverter(java.lang.Class valueClass)

  - ### Method Detail

    - #### convertToBean

          public T convertToBean(java.lang.Object value,
                                 T originalValue)

    - #### simpleToBean

          protected abstract T simpleToBean(java.lang.Object value)